/*
 * I2C simple functions header
 * Version: $Id: i2c.h 133 2009-09-22 08:06:33Z tipok $
 *
 */

#ifndef I2C_H_
#define I2C_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <inttypes.h>

uint8_t device_init(uint8_t bus, uint8_t addr);
uint8_t device_close();

uint8_t transfer(commands_t command, uint8_t *resp, uint8_t amount, ...);

uint8_t set_property(properties_t addr, uint16_t value);
uint8_t get_property(properties_t addr, uint16_t *value);

#endif /*I2C_H_*/
